NX Open C++ Reference Guide
|
Represents a Die Handling Core Child sub feature. More...
Public Member Functions | |
NXOpen::Die::DieBuildStatusOption | BuildStatus () |
Returns the build status of the handling core. | |
NXOpen::ILocation * | Center () |
Returns the center of the handling core. | |
double | Clearance () |
Returns the clearance of the handling core. | |
NXOpen::ISurface * | CoreOrientation () |
Returns the core orientation of the handling core. | |
double | Depth () |
Returns the depth of the handling core. | |
bool | DesignStatus () |
Returns the design status of the handling core, if true the handling core will be built into the model, if false it will not. | |
bool | DisplayStatus () |
Returns the display status of the handling core, if true input data to the handling core will be displayed, if false the input data will not be displayed. | |
double | Height () |
Returns the height of the handling core. | |
bool | ReverseOrientation () |
Returns the value to reverse the orientation of the core plane, if true the handling core orientation normal will be reversed, if false it will not. | |
void | SetCenter (NXOpen::ILocation *center) |
Sets the center of the handling core. | |
void | SetClearance (double clearance) |
Sets the clearance of the handling core. | |
void | SetCoreOrientation (NXOpen::ISurface *coreOrientation) |
Sets the core orientation of the handling core. | |
void | SetDepth (double depth) |
Sets the depth of the handling core. | |
void | SetDesignStatus (bool designStatus) |
Sets the design status of the handling core, if true the handling core will be built into the model, if false it will not. | |
void | SetDisplayStatus (bool displayStatus) |
Sets the display status of the handling core, if true input data to the handling core will be displayed, if false the input data will not be displayed. | |
void | SetHeight (double height) |
Sets the height of the handling core. | |
void | SetReverseOrientation (bool reverseOrientation) |
Sets the value to reverse the orientation of the core plane, if true the handling core orientation normal will be reversed, if false it will not. | |
void | SetWidth (double width) |
Sets the width of the handling core. | |
void | TranslateCenter (const NXOpen::Vector3d &translateDist) |
Translates the center of the die handling core by the specified amount. | |
double | Width () |
Returns the width of the handling core. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die Handling Core Child sub feature.
This sub feature is created via the main feature builder.
Created in NX4.0.0.
NXOpen::Die::DieBuildStatusOption NXOpen::Die::HandlingCoreChildBuilder::BuildStatus | ( | ) |
Returns the build status of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::ILocation* NXOpen::Die::HandlingCoreChildBuilder::Center | ( | ) |
Returns the center of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::HandlingCoreChildBuilder::Clearance | ( | ) |
Returns the clearance of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::ISurface* NXOpen::Die::HandlingCoreChildBuilder::CoreOrientation | ( | ) |
Returns the core orientation of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::HandlingCoreChildBuilder::Depth | ( | ) |
Returns the depth of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::HandlingCoreChildBuilder::DesignStatus | ( | ) |
Returns the design status of the handling core, if true the handling core will be built into the model, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::HandlingCoreChildBuilder::DisplayStatus | ( | ) |
Returns the display status of the handling core, if true input data to the handling core will be displayed, if false the input data will not be displayed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::HandlingCoreChildBuilder::Height | ( | ) |
Returns the height of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::HandlingCoreChildBuilder::ReverseOrientation | ( | ) |
Returns the value to reverse the orientation of the core plane, if true the handling core orientation normal will be reversed, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::HandlingCoreChildBuilder::SetCenter | ( | NXOpen::ILocation * | center | ) |
Sets the center of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
center | center |
void NXOpen::Die::HandlingCoreChildBuilder::SetClearance | ( | double | clearance | ) |
Sets the clearance of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
clearance | clearance |
void NXOpen::Die::HandlingCoreChildBuilder::SetCoreOrientation | ( | NXOpen::ISurface * | coreOrientation | ) |
Sets the core orientation of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
coreOrientation | core orientation |
void NXOpen::Die::HandlingCoreChildBuilder::SetDepth | ( | double | depth | ) |
Sets the depth of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
depth | depth |
void NXOpen::Die::HandlingCoreChildBuilder::SetDesignStatus | ( | bool | designStatus | ) |
Sets the design status of the handling core, if true the handling core will be built into the model, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
designStatus | design status |
void NXOpen::Die::HandlingCoreChildBuilder::SetDisplayStatus | ( | bool | displayStatus | ) |
Sets the display status of the handling core, if true input data to the handling core will be displayed, if false the input data will not be displayed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
displayStatus | display status |
void NXOpen::Die::HandlingCoreChildBuilder::SetHeight | ( | double | height | ) |
Sets the height of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
height | height |
void NXOpen::Die::HandlingCoreChildBuilder::SetReverseOrientation | ( | bool | reverseOrientation | ) |
Sets the value to reverse the orientation of the core plane, if true the handling core orientation normal will be reversed, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
reverseOrientation | reverse orientation |
void NXOpen::Die::HandlingCoreChildBuilder::SetWidth | ( | double | width | ) |
Sets the width of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
width | width |
void NXOpen::Die::HandlingCoreChildBuilder::TranslateCenter | ( | const NXOpen::Vector3d & | translateDist | ) |
Translates the center of the die handling core by the specified amount.
Created in NX5.0.0.
License requirements : ug_die_design ("Die Design")
translateDist | A scaled vector indicating the distance to translate |
double NXOpen::Die::HandlingCoreChildBuilder::Width | ( | ) |
Returns the width of the handling core.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")